FDIM(3)

NAME
fdim, fdimf, fdiml - positive difference

SYNOPSIS
#include <math.h>

double fdim(double x, double y);
float fdimf(float x, float y);
long double fdiml(long double x, long double y);

Compile with -std=c99; link with -lm.

DESCRIPTION
These functions return max(x-y,0). If x or y or both are NaN, Nan is returned.

CONFORMING TO
C99

SEE ALSO
fmax(3)